# Class ExternalIntegerEncoding

java.lang.Object
htsjdk.samtools.cram.encoding.CRAMEncoding<Integer>
htsjdk.samtools.cram.encoding.external.ExternalEncoding<Integer>
htsjdk.samtools.cram.encoding.external.ExternalIntegerEncoding

public final class ExternalIntegerEncoding extends ExternalEncoding<Integer>

## Field Summary

### Fields inherited from class ExternalEncoding

`externalBlockContentId`

## Constructor Summary

Constructors
Constructor
Description
`ExternalIntegerEncoding(int externalBlockContentId)`

## Method Summary

Modifier and Type
Method
Description
`CRAMCodec<Integer>`
`buildCodec(SliceBlocksReadStreams sliceBlocksReadStreams, SliceBlocksWriteStreams sliceBlocksWriteStreams)`
Instantiate the codec represented by this encoding by supplying it with the appropriate streams
`static ExternalIntegerEncoding`
`fromSerializedEncodingParams(byte[] serializedParams)`
Create a new instance of this encoding using the (ITF8 encoded) serializedParams.

### Methods inherited from class ExternalEncoding

`toSerializedEncodingParams, toString`

### Methods inherited from class CRAMEncoding

`buildReadCodec, buildWriteCodec, id, toEncodingDescriptor`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExternalIntegerEncoding

public ExternalIntegerEncoding(int externalBlockContentId)

## Method Details

### fromSerializedEncodingParams

public static ExternalIntegerEncoding fromSerializedEncodingParams(byte[] serializedParams)
Create a new instance of this encoding using the (ITF8 encoded) serializedParams.

Parameters:
  `serializedParams` -
Returns:
  ExternalIntegerEncoding with parameters populated from serializedParams

### buildCodec

public CRAMCodec<Integer> buildCodec(SliceBlocksReadStreams sliceBlocksReadStreams, SliceBlocksWriteStreams sliceBlocksWriteStreams)
Description copied from class: `CRAMEncoding`
Instantiate the codec represented by this encoding by supplying it with the appropriate streams

Specified by:
  `buildCodec` in class `CRAMEncoding<Integer>`
Parameters:
  `sliceBlocksReadStreams` - the core block bit stream a `CoreCodec` will read from
  `sliceBlocksWriteStreams` - the core block bit stream a `CoreCodec` will write to
Returns:
  a newly instantiated codec